<?php
/*
Plugin Name: Woocommece Api
Version: 1.0.0
Plugin URI: https://pricino.com
Author: pricino.com
Description: تولید api  ووکامرس
Author URI: https://t.me/developer_wordpress
Text Domain: Woo Api
*/
defined('ABSPATH') || exit;



const PL_POST_LIKE_VERSION = '1.0.0';
define('WAPI_INC_PATH', plugin_dir_path(__FILE__) . 'inc/');
define('WAPI_INC_JS', plugin_dir_url(__FILE__) . 'script/');
define('WAPI_INC_CSS', plugin_dir_url(__FILE__) . 'css');
define('WAPI_INC_IMG', plugin_dir_url(__FILE__) . 'img/');
add_action('wp_enqueue_scripts', 'wapi_inc_assets');
function wapi_inc_assets()
{
    wp_enqueue_script(
        'wapi_script',
        WAPI_INC_JS .
        'script.js',
        ['jquery'],
        defined('WP_DEBUG') && WP_DEBUG ? time() : PL_POST_LIKE_VERSION,
        true
    );

    wp_enqueue_style('wapi_style', WAPI_INC_CSS . '/style.css', '', PL_POST_LIKE_VERSION);
}

function check_woocommerce_dependency() {
    
    if ( ! class_exists( 'WooCommerce' ) && current_user_can( 'activate_plugins' ) ) {
        
        deactivate_plugins( plugin_basename( __FILE__ ) );
        $woocommerce_download_link = 'https://woocommerce.com/download/';
        $error_message = __('خطا: برای نصب این پلاگین باید ابتدا ووکامرس را نصب کنید! <a href="%s">دریافت ووکامرس</a>', 'your-text-domain');
        wp_die( sprintf( $error_message, $woocommerce_download_link ) );
    }
}
add_action( 'admin_init', 'check_woocommerce_dependency' );





add_action('rest_api_init', function () {
    $options = get_option('custom_wc_settings_options');
    $api_key = isset($options['api_key']) ? $options['api_key'] : '';
    if($api_key){
        register_rest_route($api_key, 'product' , array(
            'methods' => 'GET',
            'callback' => 'get_woocommerce_products',
        ));
    }
});
function woo_api_woocommerce_api_url() {
    $options = get_option('custom_wc_settings_options');
    $api_key = isset($options['api_key']) ? $options['api_key'] : '';
    if ($api_key) {
        return get_rest_url(null, "/$api_key/product");
    } else {
        return '';
    }
}
function get_woocommerce_products() {
    $page = isset($_GET['page'])? absint($_GET['page']) : 1;
    $per_page = 50; // adjust this to change the number of products per page

    $products = wc_get_products(array(
        'status' => 'publish',
        'limit' => $per_page,
        'offset' => ($page - 1) * $per_page,
    ));

    $total_products = wc_get_products(array(
        'status' => 'publish',
        'limit' => -1
    ));
    $result = array(
        'count' => count($total_products),
        'per_page' => $per_page,
        'total_pages_count' => ceil(count($total_products) / $per_page),
        'current_page' => $page,
        'products' => array(),
    );

    foreach ($products as $product) {
        $product_data = array(
            'id' => $product->get_id(),
            'title' => $product->get_name(),
            'subtitle' => strip_tags($product->get_short_description()),
            'current_price' => $product->get_price(),
            'old_price' => $product->get_regular_price(),
            'availability' => $product->get_stock_status(),
            'image_link' => wp_get_attachment_url($product->get_image_id(), 'full'),
            'page_url' => $product->get_permalink(),
            'short_desc' => strip_tags($product->get_short_description()),
            'spec' => array(),
        );
        $categories = get_the_terms( $product->get_id(), 'product_cat' );
        foreach ($categories as $category){
            $product_data['category'][] = $category->name;
        }
        $galleryIds = $product->get_gallery_image_ids();
        foreach ($galleryIds as $id){
            $product_data['image_links'][] = wp_get_attachment_url($id);
        }
        // retrieve dynamic specs
        $attributes = $product->get_attributes();
        foreach ($attributes as $attribute) {
            $terms = $attribute->get_terms();
            if(!empty($terms)){
                foreach ($terms as $term){
                    $product_data['spec'][wc_attribute_label($attribute->get_name())][] = $term->name;
                }
            }else{
                $product_data['spec'][wc_attribute_label($attribute->get_name())] = $attribute->get_options();
            }
        }
        $result['products'][] = $product_data;
    }

    return $result;
}
include_once WAPI_INC_PATH . "menu.php";

        ?>