<?php
function custom_wc_settings_menu() {
    add_menu_page(
        'تنظیمات API ووکامرس',
        'تنظیمات API ووکامرس',
        'manage_options',
        'wc_api_settings_menu',
        'render_wc_api_settings'
    );
}
add_action('admin_menu', 'custom_wc_settings_menu');

function render_wc_api_settings() {
    ?>
    <div class="wrap">
        <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
        <form method="post" action="options.php">
            <?php settings_fields('custom_wc_settings_group'); ?>
            <?php do_settings_sections('custom_wc_settings_group'); ?>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}

function custom_wc_register_settings() {
    register_setting(
        'custom_wc_settings_group',
        'custom_wc_settings_options',
        'custom_wc_sanitize_options'
    );

    add_settings_section(
        'custom_wc_settings_section',
        '',
        'custom_wc_settings_section_callback',
        'custom_wc_settings_group'
    );

    add_settings_field(
        'custom_wc_api_key',
        'کلید خود را وارد کنید',
        'custom_wc_api_key_callback',
        'custom_wc_settings_group',
        'custom_wc_settings_section'
    );
}
add_action('admin_init', 'custom_wc_register_settings');

function custom_wc_settings_section_callback() {
    echo '<p>' . '' . '</p>';
}


function custom_wc_api_key_callback() {
    $options = get_option('custom_wc_settings_options');
    $api_key = isset($options['api_key']) ? $options['api_key'] : '';
    echo '<input style="direction: ltr;border: 0;width: 30%;border: 1px solid #ddd;padding: 4px;border-radius: 10px;" type="text" id="custom_wc_api_key" name="custom_wc_settings_options[api_key]" value="' . esc_attr($api_key) . '" />';

$api_url = woo_api_woocommerce_api_url();
if (!empty($api_url)) {
	$img_success=WAPI_INC_IMG .'success.png';
    echo '<p style="display:flex;margin-top:10px;background: #fff;padding: 10px;border-radius: 10px;margin-left:50px"><img style="padding-left:5px" width="20" src="'.$img_success.'">آدرس API ساخته شده:   <a href="' . esc_url($api_url) . '">' . esc_url($api_url) . '</a></p>';
} else {
	$img_error=WAPI_INC_IMG .'error.png';
    echo '<p style="display:flex;margin-top:10px;background: #fff;padding: 10px;border-radius: 10px;"><img style="padding-left:5px" width="20" src="'.$img_error.'">کلید شما هنوز ساخته نشده!</p>';
}


}




